import type { ModuleLoader, GetResolver } from './types';
/**
 * create module loader
 */
export declare function createLoader<Props extends Record<string, any> = any, Context = any>(options?: {
    /**
     * remote module resolver, default to umd resolver
     */
    resolver?: GetResolver<Context>;
    /**
     * container to append script, default is append to body in client side
     */
    container?: string | ((proxy: Context) => Element);
    /**
     * global variables to expose to remote module
     */
    globals?: Record<string, any>;
}): ModuleLoader<Props, Context>;
